# pyMKcam : Python CAM for MK4duo based controllers
-------------------------------------------------

Toolpath Generation for 3-Axis CNC machining based on MK4duo controllers
forked from the well known pymkcam

If you like to help me work on pyMKcam

https://www.nexlab.net/donations/k40-laser/
[DONATIONS id:1269]

### RUNNING:

   extract the archive and run "pymkcam" in the "scripts" directory



### USAGE:

   as a practical approach, you would probably: 
 
 *  1) for "rough" cutting,
      use the Cylindrical cutter 
      with the PushCutter Pathgenerator 
      and the Polygon PostProcessor in "x" or "y" mode 
      
 
 *  2) for "semifinish" cutting,
      use the Cylindrical/Toroidal cutter 
      with the PushCutter Pathgenerator 
      and the Contour PostProcessor in "xy" mode 

 *  3) "finish" cutting
      use the Spherical cutter 
      with the DropCutter Pathgenerator 
      and the ZigZag PostProcessor in "x" or "y" mode





### CONTRIBUTORS:

    * Lode Leroy: initiated pymkcam the project; developed the toolpath generation,
      collision detection, geometry, Tk interface, ...

    * Lars Kruse: GTK interface and many features

    * Paul: GCode stepping precision

    * Arthur Magill: distutils packaging

    * Sebastian Kuzminsky: debian packaging

    * Franco (nextime) Lanza: revive the project and modification for MK4duo support

